Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZPaypalReturn Class Reference

## Public Member Functions
| __construct ( $id=-1)
| get ( $id=-1)
& | getAll ()
& | getRelated ( $txn_id=false)
| id ()
| invoice ()
| receiver_email ()
| payment_status ()
| pending_reason ()
| Reason_code ()
| payment_date ()
| payment_gross ()
| payment_fee ()
| txn_id ()
| txn_type ()
| parent_txn_id ()
| first_name ()
| last_name ()
| payer_email ()
| payer_status ()
| payment_type ()
| notify_version ()
| verify_sign ()
| mc_currency ()
| payer_business_name ()
| payer_id ()
| mc_gross ()
| mc_fee ()
| settle_amount ()
| settle_currency ()
| exchange_rate ()
| date_added ()
| isDuplicate ( $txn_id=-1)
| store ()
| delete ( $id)
| setInvoice ( $Invoice)
| setReceiver_email ($Receiver_email)
| setPayment_status ($Payment_status)
| setPending_reason ($Pending_reason)
| setReason_code ($Reason_code)
| setPayment_date ($Payment_date)
| setPayment_gross ($Payment_gross)
| setPayment_fee ($Payment_fee)
| setTxn_id ($Txn_id)
| setTxn_type ($Txn_type)
| setParent_txn_id ($Parent_txn_id)
| setFirst_name ($First_name)
| setLast_name ($Last_name)
| setPayer_email ($Payer_email)
| setPayer_status ($Payer_status)
| setPayment_type ($Payment_type)
| setNotify_version ($Notify_version)
| setVerify_sign ($Verify_sign)
| setMc_currency ($Mc_currency)
| setPayer_business_name ($Payer_business_name)
| setPayer_id ($Payer_id)
| setMc_gross ($Mc_gross)
| setMc_fee ($Mc_fee)
| setSettle_amount ($Settle_amount)
| setSettle_currency ($Settle_currency)
| setExchange_rate ($Exchange_rate)

## Public Attributes
| $ID
| $Invoice
| $Receiver_email
| $Payment_status
| $Pending_reason
| $Reason_code
| $Payment_date
| $Payment_gross
| $Payment_fee
| $Txn_id
| $Txn_type
| $Parent_txn_id
| $First_name
| $Last_name
| $Payer_email
| $Payer_status
| $Payment_type
| $Notify_version
| $Verify_sign
| $Mc_currency
| $Payer_business_name
| $Payer_id
| $Mc_gross
| $Mc_fee
| $Settle_amount
| $Settle_currency
| $Exchange_rate
| $Date_added

## Detailed Description

! eZPaypalReturn Base class

Definition at line 10 of file ezpaypalreturn.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZPaypalReturn::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZPaypalReturn object.

If $id is set the object's values are fetched from the database.

Definition at line 18 of file ezpaypalreturn.php.

References $id, and $ID.

## Member Function Documentation

## ◆ date_added()

eZPaypalReturn::date_added | ( |  | ) |

Returns the date_added

Definition at line 340 of file ezpaypalreturn.php.

References $Date_added.

## ◆ delete()

eZPaypalReturn::delete | ( |  | $id | ) |

Deletes a Paypal return

Definition at line 448 of file ezpaypalreturn.php.

References $db, $ret, and eZDB\globalDatabase().

## ◆ exchange_rate()

eZPaypalReturn::exchange_rate | ( |  | ) |

Returns the exchange_rate

Definition at line 333 of file ezpaypalreturn.php.

References $Exchange_rate.

## ◆ first_name()

eZPaypalReturn::first_name | ( |  | ) |

Returns the first_name

Definition at line 235 of file ezpaypalreturn.php.

References $First_name.

## ◆ get()

eZPaypalReturn::get | ( |  | $id = `-1` | ) |

Gets a single Paypal return

Definition at line 29 of file ezpaypalreturn.php.

References $db, $id, $ret, eZDB\globalDatabase(), and Reason_code().

## ◆ getAll()

& eZPaypalReturn::getAll | ( |  | ) |

Gets a list of Paypal results

Definition at line 105 of file ezpaypalreturn.php.

References $db, $i, and eZDB\globalDatabase().

## ◆ getRelated()

& eZPaypalReturn::getRelated | ( |  | $txn_id = `false` | ) |

Gets a list of Paypal results with matching Parent_txn_id numbers

Definition at line 125 of file ezpaypalreturn.php.

References $db, $i, and eZDB\globalDatabase().

## ◆ id()

eZPaypalReturn::id | ( |  | ) |

Returns the current Paypal return id, for links etc.

Definition at line 151 of file ezpaypalreturn.php.

References $ID.

## ◆ invoice()

eZPaypalReturn::invoice | ( |  | ) |

Returns the invoice (order) number

Definition at line 158 of file ezpaypalreturn.php.

References $Invoice.

## ◆ isDuplicate()

eZPaypalReturn::isDuplicate | ( |  | $txn_id = `-1` | ) |

Returns true if the transaction has a duplicate txn_id.

Definition at line 347 of file ezpaypalreturn.php.

References $db, and eZDB\globalDatabase().

## ◆ last_name()

eZPaypalReturn::last_name | ( |  | ) |

Returns the last_name

Definition at line 242 of file ezpaypalreturn.php.

References $Last_name.

## ◆ mc_currency()

eZPaypalReturn::mc_currency | ( |  | ) |

Returns the mc_currency

Definition at line 284 of file ezpaypalreturn.php.

References $Mc_currency.

## ◆ mc_fee()

eZPaypalReturn::mc_fee | ( |  | ) |

Returns the mc_fee

Definition at line 312 of file ezpaypalreturn.php.

References $Mc_fee.

## ◆ mc_gross()

eZPaypalReturn::mc_gross | ( |  | ) |

Returns the mc_gross

Definition at line 305 of file ezpaypalreturn.php.

References $Mc_gross.

## ◆ notify_version()

eZPaypalReturn::notify_version | ( |  | ) |

Returns the notify_version

Definition at line 270 of file ezpaypalreturn.php.

References $Notify_version.

## ◆ parent_txn_id()

eZPaypalReturn::parent_txn_id | ( |  | ) |

Returns the parent_txn_id

Definition at line 228 of file ezpaypalreturn.php.

References $Parent_txn_id.

## ◆ payer_business_name()

eZPaypalReturn::payer_business_name | ( |  | ) |

Returns the payer_business_name

Definition at line 291 of file ezpaypalreturn.php.

References $Payer_business_name.

## ◆ payer_email()

eZPaypalReturn::payer_email | ( |  | ) |

Returns the payer_email

Definition at line 249 of file ezpaypalreturn.php.

References $Payer_email.

## ◆ payer_id()

eZPaypalReturn::payer_id | ( |  | ) |

Returns the payer_id

Definition at line 298 of file ezpaypalreturn.php.

References $Payer_id.

## ◆ payer_status()

eZPaypalReturn::payer_status | ( |  | ) |

Returns the payer_status

Definition at line 256 of file ezpaypalreturn.php.

References $Payer_status.

## ◆ payment_date()

eZPaypalReturn::payment_date | ( |  | ) |

Returns the payment_date

Definition at line 193 of file ezpaypalreturn.php.

References $Payment_date.

## ◆ payment_fee()

eZPaypalReturn::payment_fee | ( |  | ) |

Returns the payment_fee

Definition at line 207 of file ezpaypalreturn.php.

References $Payment_fee.

## ◆ payment_gross()

eZPaypalReturn::payment_gross | ( |  | ) |

Returns the payment_gross

Definition at line 200 of file ezpaypalreturn.php.

References $Payment_gross.

## ◆ payment_status()

eZPaypalReturn::payment_status | ( |  | ) |

Returns the payment_status

Definition at line 172 of file ezpaypalreturn.php.

References $Payment_status.

## ◆ payment_type()

eZPaypalReturn::payment_type | ( |  | ) |

Returns the payment_type

Definition at line 263 of file ezpaypalreturn.php.

References $Payment_type.

## ◆ pending_reason()

eZPaypalReturn::pending_reason | ( |  | ) |

Returns the pending_reason

Definition at line 179 of file ezpaypalreturn.php.

References $Pending_reason.

## ◆ Reason_code()

eZPaypalReturn::Reason_code | ( |  | ) |

Returns the reason_code

Definition at line 186 of file ezpaypalreturn.php.

References $Invoice.

Referenced by get(), and setReason_code().

## ◆ receiver_email()

eZPaypalReturn::receiver_email | ( |  | ) |

Returns the receiver email

Definition at line 165 of file ezpaypalreturn.php.

References $Receiver_email.

## ◆ setExchange_rate()

eZPaypalReturn::setExchange_rate | ( |  | $Exchange_rate | ) |

Assigns the exchange_rate

Definition at line 643 of file ezpaypalreturn.php.

References $Exchange_rate.

## ◆ setFirst_name()

eZPaypalReturn::setFirst_name | ( |  | $First_name | ) |

Assigns the first_name

Definition at line 545 of file ezpaypalreturn.php.

References $First_name.

## ◆ setInvoice()

eZPaypalReturn::setInvoice | ( |  | $Invoice | ) |

Assigns the invoice (order) number

Definition at line 468 of file ezpaypalreturn.php.

References $Invoice.

## ◆ setLast_name()

eZPaypalReturn::setLast_name | ( |  | $Last_name | ) |

Assigns the last_name

Definition at line 552 of file ezpaypalreturn.php.

References $Last_name.

## ◆ setMc_currency()

eZPaypalReturn::setMc_currency | ( |  | $Mc_currency | ) |

Assigns the mc_currency

Definition at line 594 of file ezpaypalreturn.php.

References $Mc_currency.

## ◆ setMc_fee()

eZPaypalReturn::setMc_fee | ( |  | $Mc_fee | ) |

Assigns the mc_fee

Definition at line 622 of file ezpaypalreturn.php.

References $Mc_fee.

## ◆ setMc_gross()

eZPaypalReturn::setMc_gross | ( |  | $Mc_gross | ) |

Assigns the mc_gross

Definition at line 615 of file ezpaypalreturn.php.

References $Mc_gross.

## ◆ setNotify_version()

eZPaypalReturn::setNotify_version | ( |  | $Notify_version | ) |

Assigns the notify_version

Definition at line 580 of file ezpaypalreturn.php.

References $Notify_version.

## ◆ setParent_txn_id()

eZPaypalReturn::setParent_txn_id | ( |  | $Parent_txn_id | ) |

Assigns the parent_txn_id

Definition at line 538 of file ezpaypalreturn.php.

References $Parent_txn_id.

## ◆ setPayer_business_name()

eZPaypalReturn::setPayer_business_name | ( |  | $Payer_business_name | ) |

Assigns the payer_business_name

Definition at line 601 of file ezpaypalreturn.php.

References $Payer_business_name.

## ◆ setPayer_email()

eZPaypalReturn::setPayer_email | ( |  | $Payer_email | ) |

Assigns the payer_email

Definition at line 559 of file ezpaypalreturn.php.

References $Payer_email.

## ◆ setPayer_id()

eZPaypalReturn::setPayer_id | ( |  | $Payer_id | ) |

Assigns the payer_id

Definition at line 608 of file ezpaypalreturn.php.

References $Payer_id.

## ◆ setPayer_status()

eZPaypalReturn::setPayer_status | ( |  | $Payer_status | ) |

Assigns the payer_status

Definition at line 566 of file ezpaypalreturn.php.

References $Payer_status.

## ◆ setPayment_date()

eZPaypalReturn::setPayment_date | ( |  | $Payment_date | ) |

Assigns the payment_date

Definition at line 503 of file ezpaypalreturn.php.

References $Payment_date.

## ◆ setPayment_fee()

eZPaypalReturn::setPayment_fee | ( |  | $Payment_fee | ) |

Assigns the payment_fee

Definition at line 517 of file ezpaypalreturn.php.

References $Payment_fee.

## ◆ setPayment_gross()

eZPaypalReturn::setPayment_gross | ( |  | $Payment_gross | ) |

Assigns the payment_gross

Definition at line 510 of file ezpaypalreturn.php.

References $Payment_gross.

## ◆ setPayment_status()

eZPaypalReturn::setPayment_status | ( |  | $Payment_status | ) |

Assigns the payment_status

Definition at line 482 of file ezpaypalreturn.php.

References $Payment_status.

## ◆ setPayment_type()

eZPaypalReturn::setPayment_type | ( |  | $Payment_type | ) |

Assigns the payment_type

Definition at line 573 of file ezpaypalreturn.php.

References $Payment_type.

## ◆ setPending_reason()

eZPaypalReturn::setPending_reason | ( |  | $Pending_reason | ) |

Assigns the pending_reason

Definition at line 489 of file ezpaypalreturn.php.

References $Pending_reason.

## ◆ setReason_code()

eZPaypalReturn::setReason_code | ( |  | $Reason_code | ) |

Assigns the reason_code

Definition at line 496 of file ezpaypalreturn.php.

References $Reason_code, and Reason_code().

## ◆ setReceiver_email()

eZPaypalReturn::setReceiver_email | ( |  | $Receiver_email | ) |

Assigns the receiver email

Definition at line 475 of file ezpaypalreturn.php.

References $Receiver_email.

## ◆ setSettle_amount()

eZPaypalReturn::setSettle_amount | ( |  | $Settle_amount | ) |

Assigns the settle_amount

Definition at line 629 of file ezpaypalreturn.php.

References $Settle_amount.

## ◆ setSettle_currency()

eZPaypalReturn::setSettle_currency | ( |  | $Settle_currency | ) |

Assigns the settle_currency

Definition at line 636 of file ezpaypalreturn.php.

References $Settle_currency.

## ◆ settle_amount()

eZPaypalReturn::settle_amount | ( |  | ) |

Returns the settle_amount

Definition at line 319 of file ezpaypalreturn.php.

References $Settle_amount.

## ◆ settle_currency()

eZPaypalReturn::settle_currency | ( |  | ) |

Returns the settle_currency

Definition at line 326 of file ezpaypalreturn.php.

References $Settle_currency.

## ◆ setTxn_id()

eZPaypalReturn::setTxn_id | ( |  | $Txn_id | ) |

Assigns the txn_id

Definition at line 524 of file ezpaypalreturn.php.

References $Txn_id.

## ◆ setTxn_type()

eZPaypalReturn::setTxn_type | ( |  | $Txn_type | ) |

Assigns the txn_type

Definition at line 531 of file ezpaypalreturn.php.

References $Txn_type.

## ◆ setVerify_sign()

eZPaypalReturn::setVerify_sign | ( |  | $Verify_sign | ) |

Assigns the verify_sign

Definition at line 587 of file ezpaypalreturn.php.

References $Verify_sign.

## ◆ store()

eZPaypalReturn::store | ( |  | ) |

Inserts or updates a Paypal return

Definition at line 364 of file ezpaypalreturn.php.

References $db, $ret, and eZDB\globalDatabase().

## ◆ txn_id()

eZPaypalReturn::txn_id | ( |  | ) |

Returns the txn_id

Definition at line 214 of file ezpaypalreturn.php.

References $Txn_id.

## ◆ txn_type()

eZPaypalReturn::txn_type | ( |  | ) |

Returns the txn_type

Definition at line 221 of file ezpaypalreturn.php.

References $Txn_type.

## ◆ verify_sign()

eZPaypalReturn::verify_sign | ( |  | ) |

Returns the verify_sign

Definition at line 277 of file ezpaypalreturn.php.

References $Verify_sign.

## Member Data Documentation

## ◆ $Date_added

eZPaypalReturn::$Date_added

Definition at line 676 of file ezpaypalreturn.php.

Referenced by date_added().

## ◆ $Exchange_rate

eZPaypalReturn::$Exchange_rate

Definition at line 675 of file ezpaypalreturn.php.

Referenced by exchange_rate(), and setExchange_rate().

## ◆ $First_name

eZPaypalReturn::$First_name

Definition at line 661 of file ezpaypalreturn.php.

Referenced by first_name(), and setFirst_name().

## ◆ $ID

eZPaypalReturn::$ID

Definition at line 649 of file ezpaypalreturn.php.

Referenced by __construct(), and id().

## ◆ $Invoice

eZPaypalReturn::$Invoice

Definition at line 650 of file ezpaypalreturn.php.

Referenced by invoice(), Reason_code(), and setInvoice().

## ◆ $Last_name

eZPaypalReturn::$Last_name

Definition at line 662 of file ezpaypalreturn.php.

Referenced by last_name(), and setLast_name().

## ◆ $Mc_currency

eZPaypalReturn::$Mc_currency

Definition at line 668 of file ezpaypalreturn.php.

Referenced by mc_currency(), and setMc_currency().

## ◆ $Mc_fee

eZPaypalReturn::$Mc_fee

Definition at line 672 of file ezpaypalreturn.php.

Referenced by mc_fee(), and setMc_fee().

## ◆ $Mc_gross

eZPaypalReturn::$Mc_gross

Definition at line 671 of file ezpaypalreturn.php.

Referenced by mc_gross(), and setMc_gross().

## ◆ $Notify_version

eZPaypalReturn::$Notify_version

Definition at line 666 of file ezpaypalreturn.php.

Referenced by notify_version(), and setNotify_version().

## ◆ $Parent_txn_id

eZPaypalReturn::$Parent_txn_id

Definition at line 660 of file ezpaypalreturn.php.

Referenced by parent_txn_id(), and setParent_txn_id().

## ◆ $Payer_business_name

eZPaypalReturn::$Payer_business_name

Definition at line 669 of file ezpaypalreturn.php.

Referenced by payer_business_name(), and setPayer_business_name().

## ◆ $Payer_email

eZPaypalReturn::$Payer_email

Definition at line 663 of file ezpaypalreturn.php.

Referenced by payer_email(), and setPayer_email().

## ◆ $Payer_id

eZPaypalReturn::$Payer_id

Definition at line 670 of file ezpaypalreturn.php.

Referenced by payer_id(), and setPayer_id().

## ◆ $Payer_status

eZPaypalReturn::$Payer_status

Definition at line 664 of file ezpaypalreturn.php.

Referenced by payer_status(), and setPayer_status().

## ◆ $Payment_date

eZPaypalReturn::$Payment_date

Definition at line 655 of file ezpaypalreturn.php.

Referenced by payment_date(), and setPayment_date().

## ◆ $Payment_fee

eZPaypalReturn::$Payment_fee

Definition at line 657 of file ezpaypalreturn.php.

Referenced by payment_fee(), and setPayment_fee().

## ◆ $Payment_gross

eZPaypalReturn::$Payment_gross

Definition at line 656 of file ezpaypalreturn.php.

Referenced by payment_gross(), and setPayment_gross().

## ◆ $Payment_status

eZPaypalReturn::$Payment_status

Definition at line 652 of file ezpaypalreturn.php.

Referenced by payment_status(), and setPayment_status().

## ◆ $Payment_type

eZPaypalReturn::$Payment_type

Definition at line 665 of file ezpaypalreturn.php.

Referenced by payment_type(), and setPayment_type().

## ◆ $Pending_reason

eZPaypalReturn::$Pending_reason

Definition at line 653 of file ezpaypalreturn.php.

Referenced by pending_reason(), and setPending_reason().

## ◆ $Reason_code

eZPaypalReturn::$Reason_code

Definition at line 654 of file ezpaypalreturn.php.

Referenced by setReason_code().

## ◆ $Receiver_email

eZPaypalReturn::$Receiver_email

Definition at line 651 of file ezpaypalreturn.php.

Referenced by receiver_email(), and setReceiver_email().

## ◆ $Settle_amount

eZPaypalReturn::$Settle_amount

Definition at line 673 of file ezpaypalreturn.php.

Referenced by setSettle_amount(), and settle_amount().

## ◆ $Settle_currency

eZPaypalReturn::$Settle_currency

Definition at line 674 of file ezpaypalreturn.php.

Referenced by setSettle_currency(), and settle_currency().

## ◆ $Txn_id

eZPaypalReturn::$Txn_id

Definition at line 658 of file ezpaypalreturn.php.

Referenced by setTxn_id(), and txn_id().

## ◆ $Txn_type

eZPaypalReturn::$Txn_type

Definition at line 659 of file ezpaypalreturn.php.

Referenced by setTxn_type(), and txn_type().

## ◆ $Verify_sign

eZPaypalReturn::$Verify_sign

Definition at line 667 of file ezpaypalreturn.php.

Referenced by setVerify_sign(), and verify_sign().

The documentation for this class was generated from the following file:

- ezpaypalreturn.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.